# Estimate Fees

Deposits & withdrawals are comprised of a source transaction, initiated by the user, and a destination transaction, initiated by the Unit Guardians. The user pays for the network fees associated with each of the respective transactions.

Unit exposes a fee estimation endpoint to get the current fee rates (and expected processing times) associated with each network.

### Endpoint

<mark style="color:green;">**`GET`**</mark> `/v2/estimate-fees`

#### **200: OK Successful Response**

```json
{
  "avalanche": {
    "base-fee": 1265625000,
    "deposit-fee-in-units": 0.1333599114583543,
    "depositEta": "1m",
    "depositFee": 133359911458354333,
    "eth-deposit-gas": 21000,
    "eth-withdrawal-gas": 50000,
    "priority-fee": 1,
    "withdrawal-fee-in-units": 0.00006328125005,
    "withdrawalEta": "4m",
    "withdrawalFee": 63281250050000
  },
  "base": {
    "base-fee": 126562500,
    "deposit-fee-in-units": 0.0005409764462333,
    "depositEta": "4m",
    "depositFee": 540976446233318,
    "erc20-deposit-eta": "4m",
    "erc20-deposit-fee": 560149561733318,
    "erc20-deposit-fee-in-units": 0.0005601495617333,
    "erc20-deposit-gas": 192528,
    "erc20-withdrawal-eta": "4m",
    "erc20-withdrawal-fee": 24379092928764,
    "erc20-withdrawal-fee-in-units": 0.0000243790929288,
    "erc20-withdrawal-gas": 170028,
    "eth-deposit-gas": 21000,
    "eth-withdrawal-gas": 50000,
    "priority-fee": 1000000,
    "withdrawal-fee-in-units": 0.000006378125,
    "withdrawalEta": "4m",
    "withdrawalFee": 6378125000000
  },
  "base-erc20": {
    "erc20-deposit-eta": "4m",
    "erc20-deposit-fee": 560149561733318,
    "erc20-deposit-fee-in-units": 0.0005601495617333,
    "erc20-deposit-gas": 192528,
    "erc20-withdrawal-eta": "4m",
    "erc20-withdrawal-fee": 24379092928764,
    "erc20-withdrawal-fee-in-units": 0.0000243790929288,
    "erc20-withdrawal-gas": 170028
  },
  "bitcoin": {
    "deposit-fee-in-units": 0.0000257913540678,
    "deposit-fee-rate-sats-per-vb": 8,
    "deposit-size-v-bytes": 113,
    "depositEta": "31m",
    "depositFee": 2579,
    "withdrawal-fee-in-units": 0.00000715,
    "withdrawal-fee-rate-sats-per-vb": 5,
    "withdrawal-size-v-bytes": 143,
    "withdrawalEta": "14m",
    "withdrawalFee": 715
  },
  "ethereum": {
    "base-fee": 1265625000,
    "deposit-fee-in-units": 0.0005648968082093,
    "depositEta": "3m",
    "depositFee": 564896808209318,
    "eth-deposit-gas": 21000,
    "eth-withdrawal-gas": 50000,
    "priority-fee": 1002356,
    "withdrawal-fee-in-units": 0.0000633313678,
    "withdrawalEta": "7m",
    "withdrawalFee": 63331367800000
  },
  "monad": {
    "base-fee": 126562500000,
    "deposit-fee-in-units": 39.88305873573031,
    "depositEta": "1m",
    "depositFee": 18446744073709551615,
    "eth-deposit-gas": 21000,
    "eth-withdrawal-gas": 50000,
    "priority-fee": 2000000000,
    "withdrawal-fee-in-units": 0.006428125,
    "withdrawalEta": "4m",
    "withdrawalFee": 6428125000000000
  },
  "plasma": {
    "base-fee": 1265625000,
    "deposit-fee-in-units": 9.33611010537424,
    "depositEta": "1m",
    "depositFee": 9336110105374240326,
    "eth-deposit-gas": 21000,
    "eth-withdrawal-gas": 50000,
    "priority-fee": 4999999993,
    "withdrawal-fee-in-units": 0.00031328124965,
    "withdrawalEta": "4m",
    "withdrawalFee": 313281249650000
  },
  "solana": {
    "deposit-fee-in-units": 0.015111584,
    "depositEta": "1m",
    "depositFee": 15111584,
    "withdrawal-fee-in-units": 0.000008,
    "withdrawalEta": "4m",
    "withdrawalFee": 8000
  },
  "spl": {
    "deposit-fee-in-units": 0.014257704,
    "depositEta": "1m",
    "depositFee": 14257704,
    "withdrawal-fee-in-units": 0.002815836,
    "withdrawalEta": "4m",
    "withdrawalFee": 2815836
  },
  "zcash": {
    "deposit-fee-in-units": 0.00581428,
    "depositEta": "26m",
    "depositFee": 581428,
    "withdrawal-fee-in-units": 0.00015,
    "withdrawalEta": "5m",
    "withdrawalFee": 15000
  }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hyperunit.xyz/developers/api/estimate-fees.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
